/*
 * Copyright Debezium Authors.
 *
 * Licensed under the Apache Software License version 2.0, available at http://www.apache.org/licenses/LICENSE-2.0
 */
package io.debezium.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Documented
@Target({ ElementType.TYPE, ElementType.FIELD, ElementType.METHOD })
@Retention( RetentionPolicy.SOURCE )
/**
 * Indicates that visibility of the annotated element is raised for the purposes of testing
 * (e.g. package-visible instead of private).
 *
 * @author Gunnar Morling
 */
public @interface VisibleForTesting {
}
